Index: src/fastarrow.h
===================================================================
--- src/fastarrow.h	(revision 10220)
+++ src/fastarrow.h	(working copy)
@@ -1,6 +1,6 @@
 #define fastarrow_width 16
 #define fastarrow_height 16
-static unsigned char fastarrow_bits[] = {
+static const unsigned char fastarrow_bits[] = {
    0x00, 0x00, 0x00, 0x07, 0xe0, 0x07, 0xfc, 0x03, 0xff, 0xff, 0xfc, 0x03,
    0xe0, 0x07, 0x00, 0x07, 0xe0, 0x00, 0xe0, 0x07, 0xc0, 0x3f, 0xff, 0xff,
    0xc0, 0x3f, 0xe0, 0x07, 0xe0, 0x00, 0x00, 0x00};
Index: src/mediumarrow.h
===================================================================
--- src/mediumarrow.h	(revision 10220)
+++ src/mediumarrow.h	(working copy)
@@ -1,6 +1,6 @@
 #define mediumarrow_width 16
 #define mediumarrow_height 16
-static unsigned char mediumarrow_bits[] = {
+static const unsigned char mediumarrow_bits[] = {
    0x40, 0x00, 0x60, 0x00, 0x70, 0x00, 0x78, 0x00, 0xfc, 0x3f, 0x78, 0x00,
    0x70, 0x00, 0x60, 0x02, 0x40, 0x06, 0x00, 0x0e, 0x00, 0x1e, 0xfc, 0x3f,
    0x00, 0x1e, 0x00, 0x0e, 0x00, 0x06, 0x00, 0x02};
Index: src/slowarrow.h
===================================================================
--- src/slowarrow.h	(revision 10220)
+++ src/slowarrow.h	(working copy)
@@ -1,6 +1,6 @@
 #define slowarrow_width 16
 #define slowarrow_height 16
-static unsigned char slowarrow_bits[] = {
+static const unsigned char slowarrow_bits[] = {
    0x40, 0x00, 0x40, 0x00, 0x60, 0x00, 0x60, 0x00, 0xf0, 0x0f, 0x60, 0x00,
    0x60, 0x00, 0x40, 0x02, 0x40, 0x02, 0x00, 0x06, 0x00, 0x06, 0xf0, 0x0f,
    0x00, 0x06, 0x00, 0x06, 0x00, 0x02, 0x00, 0x02};
Index: src/Fl_Color_Chooser.cxx
===================================================================
--- src/Fl_Color_Chooser.cxx	(revision 10220)
+++ src/Fl_Color_Chooser.cxx	(working copy)
@@ -91,7 +91,7 @@
   M_HEX,	/**< mode() of Fl_Color_Chooser showing hex values */
   M_HSV		/**< mode() of Fl_Color_Chooser showing HSV values */
 };
-static Fl_Menu_Item mode_menu[] = {
+static const Fl_Menu_Item mode_menu[] = {
   {"rgb"},
   {"byte"},
   {"hex"},
Index: src/print_panel.cxx
===================================================================
--- src/print_panel.cxx	(revision 10220)
+++ src/print_panel.cxx	(working copy)
@@ -110,7 +110,7 @@
   print_update_status();
 }
 
-static Fl_Menu_Item menu_print_page_size[] = {
+static const Fl_Menu_Item menu_print_page_size[] = {
   {"Letter", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
   {"A4", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
   {"Legal", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
@@ -124,7 +124,7 @@
 };
 
 #include <FL/Fl_Pixmap.H>
-static const char *idata_print_color[] = {
+static const char * const idata_print_color[] = {
 "24 24 17 1",
 " \tc None",
 ".\tc #FFFF00",
@@ -170,7 +170,7 @@
 };
 static Fl_Pixmap image_print_color(idata_print_color);
 
-static const char *idata_print_gray[] = {
+static const char * const idata_print_gray[] = {
 "24 24 17 1",
 " \tc None",
 ".\tc #E3E3E3",
Index: src/Fl_File_Chooser.cxx
===================================================================
--- src/Fl_File_Chooser.cxx	(revision 10220)
+++ src/Fl_File_Chooser.cxx	(working copy)
@@ -53,7 +53,7 @@
 }
 
 #include <FL/Fl_Bitmap.H>
-static unsigned char idata_new[] =
+static const unsigned char idata_new[] =
 {0,0,120,0,132,0,2,1,1,254,1,128,49,128,49,128,253,128,253,128,49,128,49,
 128,1,128,1,128,255,255,0,0};
 static Fl_Bitmap image_new(idata_new, 16, 16);
Index: src/Fl_Help_View.cxx
===================================================================
--- src/Fl_Help_View.cxx	(revision 10220)
+++ src/Fl_Help_View.cxx	(working copy)
@@ -97,7 +97,7 @@
 // Broken image...
 //
 
-static const char *broken_xpm[] =
+static const char * const broken_xpm[] =
 		{
 		  "16 24 4 1",
 		  "@ c #000000",
